Package org.apache.sysds.runtime.compress.colgroup

# Interface ColGroupIO

public interface ColGroupIO
IO for ColGroups, it enables read and write ColGroups

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.apache.commons.logging.Log`
`LOG`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static long`
`getExactSizeOnDisk(List<AColGroup> colGroups)`
Get the size on disk for the given list of column groups
`static AColGroup`
`readColGroup(DataInput in, int nRows)`
`static double[]`
`readDoubleArray(int length, DataInput in)`
`static List<AColGroup>`
`readGroups(DataInput in, int nRows)`
Read groups from a file.
`static void`
`writeGroups(DataOutput out, Collection<AColGroup> colGroups)`
Writes the ColGroups out to the DataOutput.

## Field Details

### LOG

static final org.apache.commons.logging.Log LOG

## Method Details

### readGroups

static List<AColGroup> readGroups(DataInput in, int nRows) throws IOException
Read groups from a file. Note that the information about how many should be in the file already.

Parameters:
  `in` - The Data input object to read from.
  `nRows` - The number of rows in the read groups.
Returns:
  Return a List containing the ColGroups from the DataInput.
Throws:
  `IOException` - Throws IO Exception if the in refuses to read data.

### writeGroups

static void writeGroups(DataOutput out, Collection<AColGroup> colGroups) throws IOException
Writes the ColGroups out to the DataOutput.

Parameters:
  `out` - The DataOutput the ColGroups are written to
  `colGroups` - List of the ColGroups to write to file.
Throws:
  `IOException` - Throws IO Exception if the out refuses to write.

### getExactSizeOnDisk

static long getExactSizeOnDisk(List<AColGroup> colGroups)
Get the size on disk for the given list of column groups

Parameters:
  `colGroups` - A List of column groups to see the disk space required for.
Returns:
  The exact disk size required for writing the compressed matrix.

### readColGroup

static AColGroup readColGroup(DataInput in, int nRows) throws IOException

Throws:
  `IOException`

### readDoubleArray

static double[] readDoubleArray(int length, DataInput in) throws IOException

Throws:
  `IOException`